{% extends 'base.html.twig' %}
{% block body %}
	<div class="body">
		{% if is_granted('ROLE_ADMIN') %}
			<div class="leftBarre">
				<button class="styled" type="button">
					<a href="{{ path('app_category_new') }}">
						Créer une catégorie


					</a>
				</button>
			</div>
		{% endif %}
		<div class="main">
			{% for category in categories %}
				<table>
					<thead>
						<tr>
							<th> 
								<a href="{{ path('app_category', {'id':category.id} ) }}">
									{{ category.name }}
								</a>
							</th>
							<th>
								Topics


							</th>
                              {% if is_granted('ROLE_ADMIN') %}
							<th>
								Action

							</th>
                            {% endif %}
						</tr>
					</thead>
					<tbody>
						{% for board in category.boards %}
							<tr>
								<td>
									<a href="{{ path('app_board', {'id':board.id} ) }}">
										{{ board.name }}
									</a>
								</td>
								<td>
									{{ board.topics|length }}
								</td>
                                {% if is_granted('ROLE_ADMIN') %}
								<td>
								<a href="{{ path('app_board_delete',{'id':board.id}) }}"> Supprimer </a>
								</td>
                                {% endif %}
							</tr>
						</tbody>
					{% endfor %}
				</table>
			{% endfor %}
		</div>
	</div>
{% endblock %}
